html {
  font-family: sans-serif;
  background-color: #222222;
  color: #CCCCCC;
}

html, body, .container {
  width: 100%;
  height: 100%;
}

header {
  border-bottom: 1px solid #333333;
  padding: 5px;
}

a {
  text-decoration: none;
  color: #FFFFFF;
}

h2 {
  font-size: 125%;
}

form input[type="submit"]:hover,
form button:hover {
  cursor: pointer;
}

.container {
  display: flex;
  flex-direction: column;
}

.container .main {
  display: flex;
  flex-direction: row;
  flex: 1;
}

.container section {
  border: 1px solid #333333;
  overflow: auto;
  resize: horizontal;
}

.container section.left {
  width: 200px;
  white-space: nowrap;
}

.container section.middle {
  width: 800px;
}

.container section.right {
  flex: 1;
  display: flex;
  flex-direction: column;
  white-space: nowrap;
}

.container section.right div.properties,
.container section.right div.concepts {
  overflow: auto;
}

.container section.right div.properties {
  border-bottom: 2px solid #333333;
  resize: vertical;
  height: 400px;
}

.container section.right div.concepts {
  flex: 1;
}

.clickable:hover {
  cursor: pointer;
}
